=== debian/changelog ===
cantor (4:4.14.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Update patches:
    - octave_force_use_of_gnuplot: drop, applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 19:51:53 +0200

cantor (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:24 +0200

cantor (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Package the Lua backend:
    - add a new cantor-backend-lua binary, and mention it in cantor
    - add the libluajit-5.1-dev build dependency
    - restrict it to amd64 and i386 only for now, since luajit is not
      available on all the architectures

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:00:02 +0200

cantor (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:58:28 +0200

cantor (4:4.13.3-2) unstable; urgency=medium

  * Remove patch: testmaxima_inforeq_test, maxima honours the prompts
    again.
  * New patch: maxima_multiresults
  * New patch: acceptable_answers
  * New patch: maxima_waiting_the_carriage

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Aug 2014 21:55:35 +0000

cantor (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Update blas and lapack b-d. (Closes: #750782) Thanks to Sébastien
    Villemot

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Jul 2014 11:41:11 +0200

cantor (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update analitza build-dep.
  * Remove upstream applied patch: no_install_rpath_use_link_path.diff
  * Remove upstream applied patch: maxima_backend_ps_file
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 16:58:42 +0200
