## cantor 14.11.97

=== debian/changelog ===
cantor (4:14.11.97-0ubuntu2) vivid; urgency=medium

  * Remove kalgebra backend, needs porting to Qt 5 for new libanalitza

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 17:27:35 +0100

cantor (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Tidy up debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 11:52:32 +0100

cantor (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 08:22:03 -0800

cantor (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Add missing *.knsrc files to cantor.install
  * Debian merge, remaining changes:
   - Add transitional package for cantor-backend-python2
     with accompanying breaks/replace.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 21 Nov 2014 15:36:36 -0800

cantor (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:33:40 -0700
