=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -11,9 +11,9 @@
                libblas3,
                libglib2.0-dev,
                liblapack3,
+               libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
                libspectre-dev,
-               libluajit-5.1-dev [i386 amd64],
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python2.7-dev,
@@ -21,22 +21,22 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cantor.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cantor.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cantor.git
 
 Package: cantor
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-maxima,
+Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-lua [i386 amd64],
+          cantor-backend-maxima,
           cantor-backend-octave,
           cantor-backend-python2,
           cantor-backend-qalculate,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [i386 amd64],
-          cantor-backend-lua [i386 amd64],
+          cantor-backend-scilab [i386 amd64]
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -45,7 +45,6 @@
  .
  Cantor supports various mathematical applications as backends (provided in
  external packages):
-  * KAlgebra (cantor-backend-kalgebra)
   * Maxima Computer Algebra System (cantor-backend-maxima)
   * R Project for Statistical Computing (cantor-backend-r)
   * Sage Mathematics Software (cantor-backend-sage)
@@ -57,20 +56,21 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-kalgebra
-Architecture: any
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: KAlgebra backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using KAlgebra
- (http://edu.kde.org/kalgebra) in Cantor.
- .
- This package is part of the KDE education module.
+# Need ported to Qt 5 for new libanalitza
+#Package: cantor-backend-kalgebra
+#Architecture: any
+#Section: math
+#Depends: ${misc:Depends}, ${shlibs:Depends}
+#Description: KAlgebra backend for Cantor
+# Cantor is an application to allow you to you use your favorite mathematical
+# applications from within an elegant worksheet interface. It provides dialogs
+# to assist with common tasks and allows you to share your worksheets
+# with others.
+# .
+# This package provides the backend for using KAlgebra
+# (http://edu.kde.org/kalgebra) in Cantor.
+# .
+# This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
 Architecture: any
@@ -105,6 +105,8 @@
 Package: cantor-backend-python2
 Architecture: any
 Section: math
+Breaks: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
+Replaces: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
 Depends: python, ${misc:Depends}, ${shlibs:Depends}
 Description: Python backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
@@ -209,3 +211,13 @@
  binaries included in cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-backend-python
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: cantor-backend-python2
+Description: Python backend for Cantor -- transitional package
+ Transitional package for cantor-backend-python2
+ .
+ This package can be safely removed after installation
