=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libanalitza-dev (>= 4:4.13),
+               kdelibs5-dev,
+               libanalitza-dev (>= 4:14.12.0),
                libblas3,
                libglib2.0-dev,
                liblapack3,
