=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libanalitza-dev (>= 4:14.12.0),
+               libanalitza5-dev (>= 4:4.14),
                libblas3,
                libglib2.0-dev,
                liblapack3,
@@ -28,12 +28,12 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-lua [i386 amd64],
+Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-qalculate,
+          cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
-          cantor-backend-python2,
-          cantor-backend-qalculate,
+          cantor-backend-python2,  
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [i386 amd64]
@@ -57,20 +57,20 @@
  This package is part of the KDE education module.
 
 # Need ported to Qt 5 for new libanalitza
-#Package: cantor-backend-kalgebra
-#Architecture: any
-#Section: math
-#Depends: ${misc:Depends}, ${shlibs:Depends}
-#Description: KAlgebra backend for Cantor
-# Cantor is an application to allow you to you use your favorite mathematical
-# applications from within an elegant worksheet interface. It provides dialogs
-# to assist with common tasks and allows you to share your worksheets
-# with others.
-# .
-# This package provides the backend for using KAlgebra
-# (http://edu.kde.org/kalgebra) in Cantor.
-# .
-# This package is part of the KDE education module.
+Package: cantor-backend-kalgebra
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: KAlgebra backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using KAlgebra
+ (http://edu.kde.org/kalgebra) in Cantor.
+ .
+ This package is part of the KDE education module.
 
 Package: cantor-backend-maxima
 Architecture: any
