=== debian/changelog ===
cantor (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Fix build failure for R versions >= 3.2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jun 2015 12:42:23 +0200

cantor (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:22:28 +0200
