=== debian/control ===
--- 
+++ 
@@ -5,18 +5,57 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libanalitza5-dev (>= 4:4.14),
-               libblas3,
+               extra-cmake-modules,
+               gettext,
+               kdoctools-dev,
+               kgendesignerplugin,
+               kinit-dev,
+               kio-dev,
+               libanalitza-dev,
                libglib2.0-dev,
-               liblapack3,
+               libkf5archive-dev,
+               libkf5attica-dev,
+               libkf5auth-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kdelibs4support-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5pty-dev,
+               libkf5service-dev,
+               libkf5solid-dev,
+               libkf5sonnet-dev,
+               libkf5texteditor-dev,
+               libkf5textwidgets-dev,
+               libkf5unitconversion-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
                libluajit-5.1-dev [i386 amd64],
                libqalculate-dev,
+               libqt5svg5-dev,
+               libqt5xmlpatterns5-dev,
                libspectre-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               python2.7-dev,
+               pkg-kde-tools (>> 0.15.15),
+               python-dev,
+               python3-dev,
+               qtbase5-dev,
                r-base-core
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
@@ -28,12 +67,13 @@
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: cantor-backend-kalgebra, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-qalculate,
+Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
+Suggests: cantor-backend-kalgebra,
           cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
-          cantor-backend-python2,  
+          cantor-backend-python2,
+          cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [i386 amd64]
@@ -49,14 +89,38 @@
   * R Project for Statistical Computing (cantor-backend-r)
   * Sage Mathematics Software (cantor-backend-sage)
   * Octave (cantor-backend-octave)
-  * Python (cantor-backend-python2)
+  * Python (cantor-backend-python2 and cantor-backend-python3)
   * Scilab (cantor-backend-scilab)
   * Qalculate! (cantor-backend-qalculate)
   * Lua (cantor-backend-lua)
  .
  This package is part of the KDE education module.
 
-# Need ported to Qt 5 for new libanalitza
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ Cantor supports various mathematical applications as backends (provided in
+ external packages):
+  * Maxima Computer Algebra System (cantor-backend-maxima)
+  * R Project for Statistical Computing (cantor-backend-r)
+  * Sage Mathematics Software (cantor-backend-sage)
+  * Octave (cantor-backend-octave)
+  * Python (cantor-backend-python2 and cantor-backend-python3)
+  * Scilab (cantor-backend-scilab)
+  * Qalculate! (cantor-backend-qalculate)
+  * Lua (cantor-backend-lua)
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
+
 Package: cantor-backend-kalgebra
 Architecture: any
 Section: math
@@ -102,19 +166,47 @@
  .
  This package is part of the KDE education module.
 
+Package: libcantor-pythonbackend
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Base Python backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python language
+ (http://www.python.org/) in Cantor.
+ .
+ This package is part of the KDE education module.
+
 Package: cantor-backend-python2
 Architecture: any
 Section: math
-Breaks: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
-Replaces: cantor-backend-python (<< 4:4.13.0-0ubuntu2~)
 Depends: python, ${misc:Depends}, ${shlibs:Depends}
-Description: Python backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Python language
+Description: Python2 backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python2 language
+ (http://www.python.org/) in Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: cantor-backend-python3
+Architecture: any
+Section: math
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}
+Description: Python3 backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Python3 language
  (http://www.python.org/) in Cantor.
  .
  This package is part of the KDE education module.
