## cantor 15.07.90

=== debian/changelog ===
cantor (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:57:01 +0100
