=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libluajit-5.1-dev [i386 amd64],
+               libluajit-5.1-dev,
                libqalculate-dev,
                libqt5svg5-dev,
                libqt5xmlpatterns5-dev,
