=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libluajit-5.1-dev,
+               libluajit-5.1-dev  [i386 amd64],
                libqalculate-dev,
                libqt5svg5-dev,
                libqt5xmlpatterns5-dev,
@@ -57,7 +57,7 @@
                python3-dev,
                qtbase5-dev,
                r-base-core
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cantor.git/
